system:
  addr: 8889
  db-type: mysql
  router-prefix: ""
  enable-captcha: 0
  oss-type: minio
#    oss-type: tencent-cos

jwt:
  buffer-time: 2h
  expires-time: 2h
  issuer: sundynix
  signing-key: 9149f2eb-d517-4a50-a03a-231dbcf0d872


# 植趣微信小程序
mini-program:
  app-id: wxb463820bf36dd5d6
  app-secret: 731784a74c76c6d31fa00bb847af2c7d

# 植趣服务号
service-account:
  app-id: wxc236cddde8e7f863
  app-secret: 26c1fcecfc98a748d8916355623c975c

minio:
  access-key-id: qP5QXP3g6Axw1hkwX21Y
  access-key-secret: sddT6J3S6yDn9m1wfth0pzelPg9KWmbHjMAUF5S9
  base-path: ""
  bucket-name: sundynix-plant
  bucket-url: https://res.sundynix.cn/sundynix-plant
  endpoint: 129.28.103.17:3407
  use-ssl: false

rocket-mq:
  name-space: 192.168.100.140:9876
  endpoint: 192.168.100.140:8081  # 5.x版本使用了proxy 默认proxy地址是8081
  consumer-group: sundynix-plant
  topic: sundynix-plant-generate-library
  access-key: ""
  secret-key: ""
  enable-ssl: false
  log-enabled: false

mysql:
  config: charset=utf8mb4&parseTime=True&loc=Local
  db-name: sundynix_plant
  engine: ""
  log-mode: error
  log-zap: true
  max-idle-conns: 10
  max-open-conns: 100
  host: 192.168.100.127
  port: "3306"
  prefix: "sundynix_"
  singular: true
  user: root
  password: root

redis:
  addr: 192.168.100.127:6379
  clusteraddrs:
    - 172.21.0.3:7000
    - 172.21.0.4:7001
    - 172.21.0.2:7002
  db: 5
  name: ""
  password: ""
  cluster: false

zap:
  director: log
  encode-level: LowercaseColorLevelEncoder
  format: console
  level: debug
  log-in-console: true
  prefix: '[sundynix-go]'
  retention-day: 5
  show-line: true
  stacktrace-key: stacktrace